Subject: bug#31067: 27.0.50; After-string hidden by subsequent invisible text

From: Drew Adams <[email-masked]>
Date: Fri, 6 Apr 2018 15:39:45 +0000 (UTC)

> You are talking about "covering" here, and I think this discloses the
> mental bias in understanding how before- and after-strings work.
> Unlike most other overlay properties, they do not supply any
> attributes to the characters "covered" by the overlay.  Instead, they
> have effect only at two places: the beginning and the end points of
> the overlay.  Consequently, we check for them only when we are about
> to display something at these two positions.  And in this case, the
> end point is invisible, so we never check any after-strings there.

Sounds like that information is important for a user's mental
model.  Is it presented in the manual?  If not, perhaps it
should be.